#!/bin/bash

export ARG0=$0

POSTINST_DIR=${ARG0%/*}  # Delete trailing file name.
POSTINST_DIR=$( cd $POSTINST_DIR; pwd )
export POSTINST_DIR
pushd $POSTINST_DIR  > /dev/null


. ./functions

DISTCODE_FILE=$INSTDIR/share/distcode
if [ -f  $DISTCODE_FILE ]; then
    chmod a-w $DISTCODE_FILE
fi



# platform-specific scripts
if [ `uname` = "SunOS" -a -x $INSTDIR/postinst/solarisinst.sh ] ; then
    $INSTDIR/postinst/solarisinst.sh $INSTDIR $LOGFILE
fi



popd > /dev/null

